FullWrtParserInternal::SideBar Struct Referencefinal

Internal: the sidebar of a FullWrtParser. More...

Inheritance diagram for FullWrtParserInternal::SideBar:

## Public Member Functions

| SideBar (FullWrtStruct::ZoneHeader &)
| constructor
| ~SideBar () final
| destructor
Public Member Functions inherited from FullWrtStruct::ZoneHeader
| ZoneHeader ()
| constructor
| ZoneHeader (ZoneHeader const &)=default
virtual | ~ZoneHeader ()
| destructor
bool | read (std::shared_ptr< FullWrtStruct::Entry > zone)
| try to read the data header of a classical zone

## Public Attributes

MWAWBox2f | m_box
| the position (in point)
int | m_page
| the page
Public Attributes inherited from FullWrtStruct::ZoneHeader
int | m_type
| the zone type
int | m_docId
| the doc id
int | m_fileId
| the file id
int | m_wrapping
| the wrapping type
std::string | m_extra
| some extra data

## Detailed Description

Internal: the sidebar of a FullWrtParser.

## Constructor & Destructor Documentation

## SideBar()

FullWrtParserInternal::SideBar::SideBar | ( | FullWrtStruct::ZoneHeader & |  | ) |

inline explicit

constructor

Referenced by ~SideBar().

## ~SideBar()

FullWrtParserInternal::SideBar::~SideBar | ( |  | ) |

final

destructor

## Member Data Documentation

## m_box

MWAWBox2f FullWrtParserInternal::SideBar::m_box

the position (in point)

Referenced by SideBar().

## m_page

int FullWrtParserInternal::SideBar::m_page

the page

Referenced by SideBar().

The documentation for this struct was generated from the following file:

- FullWrtParser.cxx